<?php

namespace FSPoster\App\SocialNetworks\YoutubeShorts\Api;

class AuthData
{
    public string $appClientId;
    public string $appClientSecret;
    public string $accessToken;
    public int $accessTokenExpiresOn;
    public string $refreshToken;

    public function setFromArray( array $data )
    {
        foreach ( $data as $key => $value )
        {
            if ( property_exists( $this, $key ) )
                $this->$key = $value;
        }
    }
}
